<?PHP
$tipo_local = 1;
include("../../secure/secure.php");
include ('../../conf/configuracao.php');
mysql_connect( $bd_host, $bd_user, $bd_senha )
	or die ( 'Não foi possível conectar ao Servidor.' );
mysql_select_db( $bd_database )
	or die ( 'Não foi possível conectar a Base de Dados.' );
$sql_vestibular = "select * from vestibulares where codigo = $qual_vestibular";
$result = mysql_query($sql_vestibular)
		or die ( 'Não foi possível executar a query vestibular.' );
$info = mysql_fetch_array($result);
$cursos_do_vestibular = $info["cursos"];
$gera_sql = split(",",$cursos_do_vestibular);
$i = 0;
$retorna = 1;
$primeiro = 0;
$sql_cursos = "SELECT * FROM cursos where ";
while ($retorna == 1) {
	if ($gera_sql[$i] == '') {
		$retorna = 0;
	}
	else {
		if ($primeiro == 0) {
			$primeiro = 1;
		}
		else {
			$sql_cursos .= ' or ';
		}
		$sql_cursos .= 'codigo = ' . $gera_sql[$i] . ' ';
	}
	$i++;
}
$sql_cursos .= 'ORDER by codigo_curso ASC';
?>
<br>
<br>
<strong><div align="center"><font face="Verdana" size="2" color="#800000">Exibindo Gabarito: Sem peso individual</font></div></strong>
<?
if (!isset($lista)) {
		$sql = $sql_cursos;
		$result = mysql_query($sql)
			or die ( 'Não foi possível executar a query 161.' );
		$num = mysql_num_rows($result);
		if ($num == 0 ) {
			echo '<br><br><center>Não existe nenhum curso cadastrado no Sistema!!!</center>';
		}
		else {
			echo '<br><br><center><strong><font face="Verdana" size="2" color="#000000">Escolha o curso</font></strong><br><br>';
			while($info = mysql_fetch_array($result)) {
				echo '<a href="gab_sem_peso.php?lista=sim&curso_pesq='. $info["codigo"].'"><font color="000000" face="verdana" size="2">' . $info["nome_curso"] . '</font></a><br>';
			}
			echo '</center>';
		}
}
else {
		$sql_10 = "SELECT * FROM cursos where codigo = $curso_pesq";
		$result_10 = mysql_query($sql_10)
			or die ( 'Não foi possível executar a query 161.' );
		while($info_10 = mysql_fetch_array($result_10)) {
			echo '<font color="red" face="verdana" size="2"><b><center>'. $info_10["nome_curso"] . '</center></b></font><br><br>';
		}
		$sql = "SELECT * FROM gabarito_conf";
		$result = mysql_query($sql)
			or die ( 'Não foi possível executar a query 161.' );
		$num_aux = mysql_num_rows($result);
			$curso_lista = '';
			$materia_lista = '';
			$numero_questao = '';
			while($info = mysql_fetch_array($result)) {
				//$curso_bd = trim(Descriptografar($info["curso"],$Chave));
				$curso_bd = $info["curso"];
				if ($curso_pesq == $curso_bd) {
					$curso_lista = $curso_lista . $info["codigo"] . 'Z';
					$materia_lista = $materia_lista . $info["materia"] . 'Z';
					$numero_questao = $numero_questao . trim(Descriptografar($info["numero_questoes"],$Chave)) . 'Z';
				}
			}
		$aux = split('Z',$curso_lista);
		$aux_3 = split('Z',$materia_lista);
		$aux_10 = split('Z',$numero_questao);
			$sql = "SELECT * FROM respostas_gab";
			$result = mysql_query($sql)
				or die ( 'Não foi possível executar a query 161.' );
			while($info = mysql_fetch_array($result)) {
				//$aux_2 = trim(Descriptografar($info["codigo_interno"],$Chave));
				$aux_2 = $info["codigo_interno"];
				$lingua = $info["le"];
				for ($i = 0; $i < ($num_aux );$i++) {
					$aux_1 = $aux[$i];
					if ($aux_1 == $aux_2) {
						//	Exibindo Gabarito
						$aux_4 = $aux_3[$i];
						$sql_10 = "SELECT * FROM provas where codigo = $aux_4";
						$result_10 = mysql_query($sql_10)
							or die ( 'Não foi possível executar a query 161.' );
						echo '<table width="90%" border="0" cellspacing="0" cellpadding="0" align="center">';
						while($info_10 = mysql_fetch_array($result_10)) {
							echo '<tr>';
								echo '<td valign="top" width="25%">';
									echo '<b><font color="#000000" face="verdana" size="2">' . $info_10["materia"] . '</font></b>';
									$codigo_materia_pesquisa = $info_10["codigo"];
									if ($lingua != 0) {
										$sql_100 = "SELECT * FROM linguas where codigo = $lingua";
										$result_100 = mysql_query($sql_100)
											or die ( 'Não foi possível executar a query 161.' );
										while($info_100 = mysql_fetch_array($result_100)) {
											echo '<br><b><font color="red" face="verdana" size="2">' . $info_100["lingua"] . '</font></b>';
										}
									} 
								echo '</td>';
						}
								$aux_11 = $aux_10[$i];
								echo '<td width="75%">';
								$cor = "#E1E1E1";
								echo '<table width="90%" border="1" cellspacing="0" cellpadding="0" align="center">';
								$carlos = trim(Descriptografar($info["respostas"],$Chave));
								$gabarito = split("X",$carlos);
								$gabarito_aux = '';
								for ($c = 0; $c<$aux_11; $c++) {
									$gabarito_aux = $gabarito_aux.$gabarito[$c];
								}
								$gabarito = split("Y",$gabarito_aux);
								for ($c = 0; $c<$aux_11; $c++) {
									echo '<tr>';
										echo '<td width="40%" bgcolor="' . $cor . '">';
											echo '<font color ="000000" face="verdana" size="2"><b>Questão  ';
											if (($c+1) < 10 )
												echo '0' . ($c+1) . ': ';
											else
											 	echo ($c+1) . ': ';
										echo '</b></font></td>';
										echo '<td  width="60%" bgcolor="' . $cor . '">';
											$carlos_aux = $gabarito[$c];
											echo  '<font color="red" face="verdana" size="2"><b>&nbsp;&nbsp;&nbsp;&nbsp;';
											if ($c == 0 )
												$resposta_exibida = strtoupper($gabarito_aux[$c]);
											else
												$resposta_exibida = strtoupper($gabarito_aux[$c]);
												
												
												
												// Verificando se a questao foi anulada
												// Curso = $curso_pesq
												// Materia = $codigo_materia_pesquisa
												if (!isset($lingua)) {
													$sql_101 = "SELECT * FROM anular where curso = $curso_pesq and materia = $codigo_materia_pesquisa";
												}
												else {
													$sql_101 = "SELECT * FROM anular where curso = $curso_pesq and materia = $codigo_materia_pesquisa and lingua = $lingua";
												}
												$result_101 = mysql_query($sql_101)
													or die("Erro interno");
												$num_aux_nulo = mysql_num_rows($result_101);
												$exibe_alterantiva = 0;
												while($info_101 = mysql_fetch_array($result_101)) {
													if ($info_101["questao"] == ($c+1)) {
														$exibe_alterantiva = 1;
														echo 'Questão anulada';
													}
												}
												
												
												if ($exibe_alterantiva == 0) {
													echo $resposta_exibida;
												}
											echo '</b></font>';
										echo '</td>';
									echo '</tr>';
									if ($cor == "#E1E1E1") 
										$cor = "FFFFFF";
									else 
										$cor = "#E1E1E1";
								}
								echo '</table>';
								echo '</td>';
							echo '</tr>';
							echo '<tr>';
								echo '<td>&nbsp;';
									
								echo '</td>';
							echo '</tr>';
					}
					echo '</table>';
				}
		}

}
?>

</body>
</html>
